<?php
#------------------------------------------
# Plugin para WDTV Live
# Enlace a las series de la web seriesyonkis
#--------------------------------------------------------
include('funciones.php');
include('funcionesyonkis.php');

/*function _cadenaBusqueda(){
	return 'http://www.seriesyonkis.com/buscarSerie.php?s=';
}*/

function _pluginMain($prmQuery) {
	$website = 'http://www.seriesyonkis.com/lista-de-series';
	$website1 = 'http://www.seriesyonkis.com';
	$plugin = 'seriesyonkis';

	$queryData = array();
	parse_str($prmQuery, $queryData);

	//Estructura P?gina Inicial
	if ($queryData['inicio'] =='listadoA') { // Listado Alfab?tico
		$lista = _CrearListaAlfabetica($website,'/<a href="(.*?)">(.*?)<\/a>/',array(2,1,3),2,'/<ul id="filters" class="dictionary">(.*?)<\/ul>/');
		foreach ($lista['enlace'] as &$value) $value = $website1.$value;
		$tipo = 'paginas';		
	}	
	else if ($queryData['inicio'] =='listadoM') { // Listado por m?s vistas
		$lista = _CrearLista($website,'/<li><a href="(.*?)" title="(.*?)">/',array(2,1,-1),'/<div class="footer-content"(.*?)<\/div> <div> <h3>/');
		$tipo = 'temporadas';
	}	
	else if ($queryData['paginas'] !='') { // Paginaci?n
		$lista = _CrearPaginacionSY($queryData['paginas']);
		if (!is_array($lista)) return _pluginMain('series='.$queryData['paginas']);
		$tipo = 'series'; 
	}
	// P?gina de series
	else if ($queryData['series']!='') {
		//if (strpos($queryData['series'], 'listaSeriesNumeric')!==false)
		//	$lista = _CrearLista($queryData['series'],"/<center><a href='(.*?)' title='(.*?)'><img src='(.*?)' alt=/",array(2,1,3),'');
		//else
		$lista = _CrearLista($queryData['series'],'/<li><a href="(.*?)" title="(.*?)">/',array(2,1,3),'/<ul id="list-container" class="dictionary-list">(.*?)<\/ul>/');
		foreach ($lista['enlace'] as &$value) $value = $website1.$value;
		$tipo = 'temporadas';
	}
	// P?gina de temporadas (posibilidad de a?adir a favoritos) 
	else if ($queryData['temporadas'] !='') {
		$html = file_get_contents($queryData['temporadas']);
		preg_match_all('/<h3 class="season"> <strong>Temporada ([0-9]*?)<\/strong>/',$html,$todo);
		$serie = _DoblePatron($html,'/<div class="profile-info">(.*?)<\/div>/','/ <img src="(.*?)" alt="(.*?)" class="profile-img img-shadow" width="170" height="243" \/>/');
		foreach ($todo[1] as $value) { 
			$caratulas[] = $serie[1];
			$todo[2][] = "Temporada " . $value;
			}
		$lista = array ('titulo' => $todo[2],'enlace' => $todo[1],'caratula' => $caratulas,'serie' => $serie[2][0],'url' => $queryData['temporadas']);
		foreach ($lista['enlace'] as &$value) { $value = $queryData['temporadas'].'_'.$value;}		
		$tipo = 'capitulos';
	}
	// P?gina de cap?tulos
	else if ($queryData['capitulos']!='') {
		preg_match('/\/serie\/(.*?)_([0-9]+)/', $queryData['capitulos'], $datos);
		$url = 'http://www.seriesyonkis.com/serie/'.$datos[1];
		$html = file_get_contents($url);
		$strSearch = '<h3 class="season"> <strong>Temporada '.$datos[2].'</strong>';
		$posInicio = strpos($html, $strSearch);
		$initTemp = substr($html, $posInicio);
		$temporada = preg_split( '/<h3 class="season"> <strong>Temporada ([0-9]*?)<\/strong>/', $initTemp );		
 		preg_match_all('/<\/span> <a href="(.*?)">(.*?)<\/a> <\/td>/',$temporada[1],$todo);
 		$lista = array ('titulo' => $todo[2],'enlace' => $todo[1]);
		foreach ($lista['enlace'] as &$value) { $value = $website1.$value;}
		foreach ($lista['titulo'] as &$value) { $value = str_replace("<strong>", "",$value);$value = str_replace("</strong>", "",$value);}
		$tipo = 'enlaces';
	}
	// P?gina de enlaces a MV y MU antigua
	else if ($queryData['enlaces_old']!=''){
		$idioma = array ('spanish.png' => 'ESP','spanish-sub.png' => 'Sub ESP', 'english.png' => 'ING', 'latino.png' => 'LAT');
		$calidad = array ('f-5.png' => 'Q5','f-4.png' => 'Q4','v-3.png' =>  'Q3','v-2.png' =>  'Q2');
		$html = file_get_contents($queryData['enlaces']);
		preg_match('/<title>(.*?)<\/title><link/',$html,$title);
		preg_match_all('/<td><div align="center"><span style="font-size: 10px"><em>((\t|\n|\s|.)*?)<\/tr>/',$html,$propiedades);
		foreach ($propiedades[1] as $value) { 
			$resMV = preg_match('/alt="Megavideo" (.*?) href="(.*?)&id=(.*?)" target="peli">/',$value,$megavid);
			$resMU = preg_match('/id=(.*?)" title="Descargar archivo"/',$value,$megaup);
			if ($resMV) $mv[] = decodificar(unescape($megavid[3]));
			if ($resMU) $mu[] = decoMegaup(unescape($megaup[1]));
			if ($resMV || $resMU)
			{
				preg_match('/<img height="30" src="[^f]+f\/([^"]+?)"/',$value,$idi);
				preg_match("/<img src='[^q]+q\/([^']+?)'/",$value,$cal);
				preg_match('/<span style="font-size: 10px">[^<]*<br \/>((\t|\n|\s|.)*?)<\/span>/',$value,$prop);
				$propiedades = str_replace("<br />"," ", $prop[1]);
				$titulo[] = $title[1].'('.$calidad[$cal[1]].'-'.$idioma[$idi[1]].') '.$propiedades;				
			}
		}
		$lista = array ('megavid' => $mv,'megaup' => $mu,'titulo' => $titulo);
		return _pluginCreateVideoItems($lista,$plugin);
	}
	// P?gina de enlaces a MV y MU por rafaurl
	else if ($queryData['enlaces_old2']!=''){
		$idioma = array ('spanish.png' => 'ESP','spanish-sub.png' => 'Sub ESP', 'english.png' => 'ING', 'latino.png' => 'LAT');
		$calidad = array ('f-5.png' => 'Q5','f-4.png' => 'Q4','v-3.png' =>  'Q3','v-2.png' =>  'Q2');
		$html = file_get_contents($queryData['enlaces']);
		preg_match('/<title>(.*?)<\/title><link/',$html,$title);
		preg_match_all('/<td><div align="center"><span style="font-size: 10px"><em>(.*?)<\/tr>/s',$html,$propiedades);
		foreach ($propiedades[1] as $value) { 
			$res = preg_match('/href="(.*?)" (target="peli"|title="Descargar archivo")(.*?)(megavideo|megaupload)/',$value,$mega); //s?lo megavideo y megaupload
			if ($res) {
				$enlaces[] = $mega[1];
				preg_match('/<img height="30" src="[^f]+f\/([^"]+?)"/',$value,$idi);
				preg_match("/<img src='[^q]+q\/([^']+?)'/",$value,$cal);
				preg_match('/<span style="font-size: 10px">[^<]*<br \/>(.*?)<\/span>/s',$value,$prop);
				$propiedades = str_replace("<br />"," ", $prop[1]);
				$titulos[] = $title[1].'('.$calidad[$cal[1]].'-'.$idioma[$idi[1]].') '. ($mega[4]=='megavideo'?' MV ':' MU ')  .$propiedades;
				$caratulas[] = ''; //TODO
			}
		}
		$lista = array ('titulo' => $titulos,'enlace' => $enlaces,'caratula' => $caratulas);
		$tipo = 'enlace';
	}
	else if ($queryData['enlaces']!=''){
		$idioma = array ('esp' => 'ESP', 'eng' => 'ING', 'lat' => 'LAT');
		$subs = array ('esp_sub' => '-SUBESP', 'no_sub' => '');
		$calidad = array ('5' => 'Q5','0' => 'Q0');
		$html = file_get_contents($queryData['enlaces']);
		preg_match('/<h1 class="underline">(.*?)<span>/',$html,$title);
		preg_match_all('/<tr> <td class="episode-server">(.*?)<\/tr>/s',$html,$propiedades);		
		foreach ($propiedades[1] as $value) {
			$res = preg_match('/<a href="\/s\/ngo\/(.*?)" title="(.*?)" target="_blank"><span class="server (megavideo|megaupload)"><\/span>/',$value,$mega);//s?lo megavideo y megaupload
								
			if ($res) {
				$enlaces[] = $website1.'/s/y/'.preg_replace('/\//','',$mega[1]);
				preg_match('/<td class="episode-lang"><span class="flags (.*?)"/',$value,$idi);		
				preg_match('/<i class="sprite quality([0-9]+)/',$value,$cal);		
				preg_match('/<td class="center"><span class="flags (.*?)"/',$value,$subti);		
				$titulos[] = $title[1].'('.$calidad[$cal[1]].'-'.$idioma[$idi[1]].$subs[$subti[1]].') '. ($mega[3]=='megavideo'?' MV ':' MU ');
				$caratulas[] = ''; //TODO
			}
		}
		print_r($enlaces);
		$lista = array ('titulo' => $titulos,'enlace' => $enlaces,'caratula' => $caratulas);		
		$tipo = 'enlace';
	}	
	// P?gina de enlace
	else if ($queryData['enlace'] !='') {
		$url = $queryData['enlace'];	
		if( strpos($url, '/y/')!==false ) $url = getCanonicalUrl($url); //si no trae id directo, capturamos redirecci?n
		$url = $url . " ";
		if(strpos($url, 'megaupload') !== false){
			preg_match('/http:\/\/www.megaupload.com\/\?s=seriesyonkis&d=(.*?) /',$url,$id);			
			$mu[] = $id[1];
		}else{
			preg_match('/http:\/\/www.megavideo.com\/\?s=seriesyonkis&v=(.*?) /',$url,$id);			
			$mv[] = $id[1];
		}		
		$titulo = 'Cap&iacute;tulo seleccionado';
		$lista = array ('megavid' => $mv,'megaup' => $mu,'titulo' => $titulo);
		return _pluginCreateVideoItems($lista,$plugin);
	}
	// inclusi?n en favoritos
	else if ($queryData['favoritos'] !='') { 
		return _pluginFavorito($queryData['favoritos'],$plugin);
	}
	// P?gina de b?squeda
	else if ($queryData['busqueda']!='') {
		$lista = _CrearLista($queryData['busqueda'],'/<h2><li><a href="(.*?)" title="(.*?)"><img height="84" src="(.*?)"/',array(2,1,3),'');
		$tipo = 'temporadas';
	}
	// P?gina Inicial
	else
	{
		$lista = array (
		'titulo' => array ('Series M&aacute;s Vistas','Listado Alfab&eacute;tico'),
		'enlace' => array ('listadoM','listadoA'),
		'caratula' => array ('http://i53.tinypic.com/20zsiuh.jpg','http://i53.tinypic.com/2rctwn6.jpg'),
		);
		$tipo = 'inicio';

	}
	return _CrearItems($lista,$plugin,$tipo);
}

?>